Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.item
Class ItemValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.ebusiness.item.ItemValue

Direct Known Subclasses:
  BasicBeanValue

public class ItemValue
extends SmartValue

This represents a product or service that has a value. It is identified by a combination of the supplier, part number and, a version. Examples of a supplier are the manufacturer of a product, the publisher of a book, or the offerer of a course. This entity gets its price from the ItemPricingPolicy. Also, Items have a set of qualities, used to search and find items based on weighted qualities.

See Also:
  `Item`, `ItemHome`, `Item.getItemByValue()`, `Item.setItemByValue(ItemValue)`, Serialized Form

Field Summary
`java.lang.String` | `description` description [Item] <*>------> [`String`]
`java.lang.String` | `identifier` identifier [Item] <*>------> [`String`] (Primary Key)
`Price` | `price` price [Item] <*>------> [`theory.smart.axiom.units.Price`]
`com.sun.java.util.collections.LinkedList` | `qualities` quality (List) [Item] <*>------> [`theory.smart.axiom.units.Quality`] 0..*
`java.lang.String` | `supplier` supplier [Item] <*>------> [`String`] (Primary Key)
`java.lang.String` | `version` version [Item] <*>------> [`String`] (Primary Key)

Constructor Summary
`protected` | `ItemValue()` Only get/setItemByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public java.lang.String version

                        version
       [Item] <*>------> [String] (Primary Key)

### identifier

    public java.lang.String identifier

                        identifier
       [Item] <*>------> [String] (Primary Key)

### supplier

    public java.lang.String supplier

                        supplier
       [Item] <*>------> [String] (Primary Key)

### description

    public java.lang.String description

                        description
       [Item] <*>------> [String]

### price

    public Price price

                        price
       [Item] <*>------> [theory.smart.axiom.units.Price]

### qualities

    public com.sun.java.util.collections.LinkedList qualities

                        quality (List)
       [Item] <*>------> [theory.smart.axiom.units.Quality]
                           0..*

Constructor Detail

### ItemValue

    protected ItemValue()

  Only get/setItemByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.